# Create customerReturnReasons
Creates a customer return reason in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/customerReturnReasons
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of a customerReturnReason object.
## Response
If successful, this method returns ```201 Created``` response code and a customerReturnReason object in the response body.
## Example
Request
Here's an example of the request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/customerReturnReasons
Content-type: application/json
{
  "code": "VARIANT",
  "description": "Incorrect item variant"
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 201 Created
Content-type: application/json
{
    "id": "6ea22bf6-a449-ee11-ad0b-a1422c0f7f1f",
    "code": "VARIANT",
    "description": "Incorrect item variant"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_customerreturnreason
dynamics_customerreturnreason_get
dynamics_customerreturnreason_delete
PATCH customerReturnReason<dynamics_customerreturnreason_update>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerreturnreason_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customerreturnreason_create/
